Subject: Re: bug#10056: 24.0.91; `copy-to-register' does not deactivate the mark

From: Chong Yidong <[email-masked]>
Date: Sun, 29 Jul 2012 12:50:15 +0800

Dani Moncayo <[email-masked]> writes:

> and I've found a couple more:
>   narrow-to-region
>   c-indent-line-or-region (when the region is already well indented)

I'm not sure about narrow-to-region.  It's probably wrong for it to
unconditionally deactivate the mark, because it is commonly called as a
Lisp function.  Maybe it should only deactivate the mark when called
interactively.

As for c-indent-line-or-region, I have no opinion on that at all.